
GammaLib - Bug #3997

gammalib::expand_env should only expand ~ at the beginning of a path

02/22/2022 06:24 PM - Knödlseder Jürgen

Status: Closed Start date: 02/22/2022

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

Current, the gammalib::expand_env method expands ~ everywhere in the path, but the method should expand ~ only when a path

name starts with that character. In the latter example we expect hallo~ and not hallo/Users/jurgen.

>>> import gammalib

>>> print(gammalib.expand_env('~/hallo'))

/Users/jurgen/hallo

>>> print(gammalib.expand_env('hallo~'))

hallo/Users/jurgen

History

#1 - 02/22/2022 06:27 PM - Knödlseder Jürgen

- Status changed from New to Pull request

- Assigned To set to Knödlseder Jürgen

- Target version set to 2.0.0

- % Done changed from 0 to 90

This one was an easy one:

>>> import gammalib

>>> print(gammalib.expand_env('~/hallo'))

/Users/jurgen/hallo

>>> print(gammalib.expand_env('hallo~'))

hallo~

#2 - 03/14/2022 12:23 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- % Done changed from 90 to 100
